#include <vector>
#include <iostream>

using std::vector;
using std::cout; using std::endl;

int main(int argc, char const *argv[])
{
    
    vector<int> v{0,2,5,1,3,6,9,10,4,2};

    cout << "Original vector: ";

    for (auto it = v.cbegin(); it != v.cend(); ++it)
    {
        cout << *it << " ";
    }

    cout << endl;
    

    cout << "Modified vector: ";
    for (auto it = v.begin(); it != v.end(); ++it)
    {
        *it = *it * 2;
        cout << *it << " ";
    }

    cout << endl;
       
    return 0;
}
